%Analyze Taguchi L4 test data
%Col: DC, Row: LA
n=length(data001);
name=['Taguchi L4 LA & DCi-';'Taguchi L4 LA & DCi+';'Taguchi L4 LA & DCt-';'Taguchi L4 LA & DCt+'];
figure
for k=1:4
    %Get the final heading
    for i=1:2
        for j=1:2
            eval(['tempdata=unwrap(data0' num2str((k-1)*4+(i-1)*2+j,'%02d') '(:,1),90);'])
            eval(['T' num2str(k) '(i,j)=tempdata(901);'])
%            fprintf(['Data# ' num2str((k-1)*4+(i-1)*2+j) '\n'])
        end
    end
    clear i j n tempdata
    eval(['T' num2str(k) 'avg=mean(T' num2str(k) ');'])
    eval(['T' num2str(k) 'sum=sum(sum(T' num2str(k) '));'])
    
    %Sum of Squares Main factors (from dataset88 DOE)
    eval(['CSS' num2str(k) '(1)=sum(sum(T' num2str(k) ',2).^2)/2;'])      %Crude SS (Diamond p.255) LA changes
    eval(['CSS' num2str(k) '(2)=sum(sum(T' num2str(k) ',1).^2)/2;'])      %DC changes
    eval(['SS' num2str(k) '=CSS' num2str(k) '-T' num2str(k) 'sum^2/4;'])                %Sum of Squares
    eval(['TSS' num2str(k) '=sum(sum(T' num2str(k) '.^2))-T' num2str(k) 'sum^2/4;'])
    %2 way Interactions
    eval(['SSI' num2str(k) '(1,2)=TSS' num2str(k) '-SS' num2str(k) '(1)-SS' num2str(k) '(2);'])       %1&2
    eval(['SSI' num2str(k) '(2,2)=0;'])

    subplot(2,2,k), eval(['bar(SS' num2str(k) ')']), title('Sum of Squares')
    set(gca,'xticklabel',['Leg Angle ';'Duty Cycle'])
    hold, eval(['bar(SSI' num2str(k) ',''g'')']), legend('Primary','Secondary')
    eval(['title(''' name(k,:) ''')'])
end
clear k name